; prMini01 PortA kare dalga
; GPL by Tanju Tascilar
  Processor 16f628
  Include "p16f628.inc"
  __CONFIG _INTRC_OSC_NOCLKOUT&_LVP_OFF&_MCLRE_OFF  
  Errorlevel 1,-207,-305,-302

CBlock	020
	c_mSec
	sCnt
EndC

RA_RST	EQU	b'00000000'	;PortA reset degeri
RA_DDR	EQU	b'00000000'	;PortA Data Direction
RB_RST	EQU	b'00000000'	;PortB reset degeri
RB_DDR	EQU	b'11111111'	;PortB Data Direction
R_CMCON	EQU	b'00000111'	;CMCON reset degeri
R_VRCON	EQU	b'00000000'	;VRCON reset degeri

        ORG     0       ;Reset Vector
	CLRF	PCLATH
        GOTO    Main

        ORG     10

;**********************************************************
; w_mSec - mSec bekleme
;**********************************************************
w_mSec
        MOVWF   c_mSec
w_mSec2
        MOVLW   .200      ;.200 for 1mSec at 4MHz
        MOVWF   sCnt
        CLRWDT
w_mSec1
        NOP
        NOP
        DECFSZ  sCnt,F
        GOTO    w_mSec1
        DECFSZ  c_mSec,F  ;Wait c_mSec times mSec's
        GOTO    w_mSec2
        RETURN
;**********************************************************
; Main
;**********************************************************
Main
	MOVLW	RA_RST		;PortA reset degeri
	MOVWF	PORTA	
	MOVLW	RB_RST		;PortB reset degeri
	MOVWF	PORTB	
	MOVLW	R_CMCON
	MOVWF	CMCON
	BCF	STATUS,RP1
	BSF	STATUS,RP0	;Bank1 ram alanini sec
	MOVLW	RA_DDR		;PortA Data Direction
	MOVWF	TRISA
	MOVLW	RB_DDR		;PortB Data Direction
	MOVWF	TRISB
	BCF	OPTION_REG,7	;PullUp lar aktif
	BCF	STATUS,RP0	;Bank0 ram alanini sec

Main_Loop
	CLRWDT
	MOVLW	.100
	CALL	w_mSec		;1 mili saniye bekle

	INCF	PORTA,F		;Say

	GOTO	Main_Loop

        END

 

